import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderCountOutputTypeCountChildrenArgsObjectSchema as CloudFolderCountOutputTypeCountChildrenArgsObjectSchema } from './CloudFolderCountOutputTypeCountChildrenArgs.schema';
import { CloudFolderCountOutputTypeCountFilesArgsObjectSchema as CloudFolderCountOutputTypeCountFilesArgsObjectSchema } from './CloudFolderCountOutputTypeCountFilesArgs.schema'

const makeSchema = () => z.object({
  children: z.union([z.boolean(), z.lazy(() => CloudFolderCountOutputTypeCountChildrenArgsObjectSchema)]).optional(),
  files: z.union([z.boolean(), z.lazy(() => CloudFolderCountOutputTypeCountFilesArgsObjectSchema)]).optional()
}).strict();
export const CloudFolderCountOutputTypeSelectObjectSchema: z.ZodType<Prisma.CloudFolderCountOutputTypeSelect> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderCountOutputTypeSelect>;
export const CloudFolderCountOutputTypeSelectObjectZodSchema = makeSchema();
